Bug 426814 - Unstripped _libvirt.so
Unstripped _libvirt.so
Product: Fedora
Classification: Fedora
Component: ruby-libvirt (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: David Lutterkort
Fedora Extras Quality Assurance
: Patch
Depends On:
  Show dependency treegraph
Reported: 2007-12-26 15:27 EST by Ville Skyttä
Modified: 2013-04-30 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.0.2-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-10 18:28:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2007-12-26 15:27:00 EST
Due to a file permission problem, _libvirt.so is not stripped by rpmbuild.  Fix:

-install -p -m0644 ext/libvirt/_libvirt.so %{buildroot}%{ruby_sitearch}
+install -p -m0755 ext/libvirt/_libvirt.so %{buildroot}%{ruby_sitearch}
Comment 1 David Lutterkort 2008-01-02 13:53:20 EST
Thanks a lot for finding that out.

Fixed in CVS, update pending.
Comment 2 Fedora Update System 2008-01-02 20:42:11 EST
ruby-libvirt-0.0.2-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ruby-libvirt'

Note You need to log in before you can comment on or make changes to this bug.